function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	-------------------------------------------------------------------------------------------
    AddRandomTasks(18,
                   CreateTask('BRUSH', '', 'brush'),
                   CreateTask('CAR', '', 'car'),
                   CreateTask('TEACUP', '', 'cup'),
                   CreateTask('FAN', '', 'fan'),
                   CreateTask('FEATHER', '', 'feather'),
                   CreateTask('FORK', '', 'fork'),
                   CreateTask('GRAPE', '', 'grape'),
                   CreateTask('HELMET', '', 'helmet'),
                   CreateTask('LADLE', '', 'ladle'),
                   CreateTask('LIBRA', '', 'libra'),
                   CreateTask('PADLOCK', '', 'padlock'),
                   CreateTask('PENDANT', '', 'pendant'),
                   CreateTask('PIPE', '', 'pipe'),
                   CreateTask('SCREWDRIVER', '', 'screwdriver'),
                   CreateTask('SPEAR', '', 'spear'),
                   CreateTask('SWORD', '', 'sword'),
                   CreateTask('TEAPOT', '', 'teapot'),
                   CreateTask('WHEEL', '', 'wheel')
                  );
    -------------------------------------------------------------------------------------------    
	local object = play_field:GetObject('globe_active_zone');
	inventory_globe = CreateInventory(object:GetX(),
                                        object:GetY(),
                                        object:GetZ() + 10,
                                        "globe_active_zone",
                                        CreateItem('Australia_tool', 'Australia_scaled'),
                                        CreateItem('China_tool', 'China_scaled'),
                                        CreateItem('Italy_tool', 'Italy_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_35_2");	
	
	inventory_globe.state_changer = "OnGlobeComplete"									

	inventory_globe.OnComplete = function()
		play_field:GetObject('globus'):GetAnimation():Play()
		inventory_mechanism.Unlock()
		local s = CreateSoundEntity('35_GlobeOpen')
		s:AttachTo(play_field)
		s:Play(false)
	end
		
	
	CreateTool('Australia', 'Australia_scaled')
	CreateTool('China', 'China_scaled')
	CreateTool('Italy', 'Italy_scaled')
	
	play_field:GetObject('globus'):GetAnimation():Stop()
	play_field:GetObject('globus'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	
	zoom_vase = CreateZoomZone('close_zone_vase',
							  '',
							  'zoom_back',
							  'mechanism2',
							  'sprajt_mehanizma')
							  
	local object = play_field:GetObject('mechanism_active_zone');
	inventory_mechanism = CreateInventory(object:GetX(),
                                        object:GetY(),
                                        object:GetZ() + 100,
                                        "mechanism_active_zone",
                                        CreateItem('mechanism1_tool', 'mechanism1_scaled'),
                                        nil,
                                        CreateItem('mechanism2_tool', 'mechanism2_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_35_1");	
	
	inventory_mechanism.state_changer = 'OnMechanismComplete'
	
	inventory_mechanism.OnShown = function()
		RegisterZoomZone(zoom_vase, 'vase_active_zone')
	end
	
	inventory_mechanism.OnComplete = function()
		play_field:GetObject('mexanz'):GetAnimation():Play()
		--PlaySound('35_GearsStart')
		local s = CreateSoundEntity('35_GearsStart')
		s:AttachTo(play_field)
		s:Play(false)
		local duration = GetAnimationLength(play_field:GetObject('mexanz'):GetAnimation())
		
		local OpenDoor = function()
			--PlaySound('35_DoorOpen')
			local s = CreateSoundEntity('35_DoorOpen')
			s:AttachTo(play_field)
			s:Play(false)
			play_field:GetObject('mexanz'):SetOpacity(0)
			play_field:GetObject('dvr'):Show()
			play_field:GetObject('dvr'):GetAnimation():Play()			
			TimerDo(play_field:GetTimer(), GetAnimationLength(play_field:GetObject('dvr'):GetAnimation()), StartChain2);
		end
		TimerDo(play_field:GetTimer(), 5 * duration, OpenDoor)
	end
	
	CreateTool('mechanism1', 'mechanism1_scaled')
	local t = CreateTool('mechanism2', 'mechanism2_scaled')
	
	t.OnSet = function()
	    --play_field:GetObject('mechanism2_scaled'):SetOpacity(1)
	    zoom_vase.SetVisible(false)	    
	    game_state.locker:Release()    
	end
	
	t.OnFail = function()
	    --play_field:GetObject('mechanism2_scaled'):SetOpacity(0)	    
		local obj = play_field:GetObject('vase_active_zone');
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    obj:GetX(),
                                    obj:GetY(),
                                    300)
	end
	
	t.OnSuccess = function()
		UnregisterZoomZone(zoom_vase)
	end
	
	play_field:IgnoreOnTestPoint('globus')
	play_field:GetObject('mexanz'):GetAnimation():Stop()
	play_field:GetObject('dvr'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)	
	play_field:GetObject('dvr'):GetAnimation():Stop()
	InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen);
	game_state.chain2.final = true
	AddSheriffEyeLogic();
	
	game_state.meta_object = 'cigar35'
	
	game_state.OnStartingComicsComplete = function()	
		inventory_globe.Unlock()
	end
	
	game_state.OnMechanismComplete = function()
	    play_field:GetObject('dvr'):Show()
		local anim = play_field:GetObject('mexanz'):GetAnimation()
		anim:SetFrame(anim:GetFrames())
		
		local anim  = play_field:GetObject('dvr'):GetAnimation()
		anim:SetFrame(anim:GetFrames() - 1)
		
		StartChain2()
	end
	play_field:GetObject('dvr'):Hide()
	
	game_state.OnGlobeComplete = function()
		local a = play_field:GetObject('globus'):GetAnimation()
		a:SetFrame(a:GetFrames() - 1)
		inventory_mechanism.Unlock()		
	end
end

function StartChain2()
	if not play_field:GetLevelScreen():HasTaskObjects() then
		game_state.chain2.Start()
	end
	game_state.mechanism_complete = true
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Raphael');
    local comics2 = CreateComics(screen, 'Sheriff', 'eyes');    
	local comics3 = CreateComics(screen, 'Raphael');
    
    comics3.OnHidden = function()
		comics3.DefaultOnHidden();
		inventory_globe.Unlock()
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_35_1"),
                                    comics2, GetString("COMICS_35_2"),
									comics3, GetString("COMICS_35_3"));
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Raphael');    
    
    comics1.OnHidden = function()
		OnWin()
	end
    
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_35_4"));
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	if game_state.mechanism_complete then
		game_state.chain2.Start()
	end
end

function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnExit()
end

function OnMinigameCompleted()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end


function OnLostFocus()
end

function OnGainFocus()
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,513,383,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/car.png',0,0,92,48,1,0)
	anim:SetHotSpot(46,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('car',anim,510,523,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/cup.png',0,0,44,40,1,0)
	anim:SetHotSpot(22,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cup',anim,395,741,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/fan.png',0,0,111,72,1,0)
	anim:SetHotSpot(55,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,743,117,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/feather.png',0,0,27,86,1,0)
	anim:SetHotSpot(13,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,498,374,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/fork.png',0,0,89,27,1,0)
	anim:SetHotSpot(44,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fork',anim,971,754,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/grape.png',0,0,53,95,1,0)
	anim:SetHotSpot(26,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('grape',anim,951,128,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/helmet.png',0,0,67,99,1,0)
	anim:SetHotSpot(33,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helmet',anim,566,532,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/ladle.png',0,0,34,125,1,0)
	anim:SetHotSpot(17,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladle',anim,393,160,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/libra.png',0,0,48,35,1,0)
	anim:SetHotSpot(24,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('libra',anim,823,242,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/padlock.png',0,0,39,43,1,0)
	anim:SetHotSpot(19,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock',anim,400,533,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/pendant.png',0,0,38,117,1,0)
	anim:SetHotSpot(19,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pendant',anim,563,262,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/pipe.png',0,0,63,29,1,0)
	anim:SetHotSpot(31,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,851,590,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/screwdriver.png',0,0,106,24,1,0)
	anim:SetHotSpot(53,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver',anim,662,584,100,-10,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/spear.png',0,0,38,311,1,0)
	anim:SetHotSpot(19,155)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spear',anim,733,373,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/sword.png',0,0,205,23,1,0)
	anim:SetHotSpot(102,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,498,101,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/teapot.png',0,0,54,55,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teapot',anim,981,211,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/wheel.png',0,0,77,77,1,0)
	anim:SetHotSpot(38,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wheel',anim,928,496,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/Australia.png',0,0,161,121,1,0)
	anim:SetHotSpot(80,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Australia',anim,628,451,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/China.png',0,0,67,79,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('China',anim,342,382,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/Italy.png',0,0,129,74,1,0)
	anim:SetHotSpot(64,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Italy',anim,883,695,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_Australia.png',0,0,60,57,1,0)
	anim:SetHotSpot(30,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_Australia',anim,573,476,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_car_helmet.png',0,0,88,84,1,0)
	anim:SetHotSpot(44,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_car_helmet',anim,567,541,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_China.png',0,0,40,34,1,0)
	anim:SetHotSpot(20,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_China',anim,330,351,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_chinese_brush.png',0,0,32,29,1,0)
	anim:SetHotSpot(16,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_chinese_brush',anim,482,732,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_Italy.png',0,0,46,50,1,0)
	anim:SetHotSpot(23,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_Italy',anim,845,696,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_katany1.png',0,0,29,33,1,0)
	anim:SetHotSpot(14,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_katany1',anim,563,96,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_katany2.png',0,0,51,46,1,0)
	anim:SetHotSpot(25,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_katany2',anim,418,100,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_koleso.png',0,0,81,66,1,0)
	anim:SetHotSpot(40,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_koleso',anim,923,508,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_mechanizm.png',0,0,103,61,1,0)
	anim:SetHotSpot(51,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_mechanizm',anim,693,706,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_povareshki.png',0,0,31,82,1,0)
	anim:SetHotSpot(15,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_povareshki',anim,386,130,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_spear_Australia.png',0,0,117,154,1,0)
	anim:SetHotSpot(58,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_spear_Australia',anim,698,455,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_vilka.png',0,0,41,27,1,0)
	anim:SetHotSpot(20,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_vilka',anim,937,745,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Animations/globus.dds',0,0,212,200,11,10)
	anim:SetHotSpot(106,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('globus',anim,673,588,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/mechanism.png',0,0,83,71,1,0)
	anim:SetHotSpot(41,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanism1',anim,699,681,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Animations/door/dvr.dds',0,0,171,293,2,8)
	anim:SetHotSpot(86,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dvr',anim,634,247,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('globe_active_zone',anim,702,659,130,0,18,8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/Australia.png',0,0,161,121,1,0)
	anim:SetHotSpot(80,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Australia_scaled',anim,626,449,100,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/China.png',0,0,67,79,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('China_scaled',anim,341,382,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/Italy.png',0,0,129,74,1,0)
	anim:SetHotSpot(64,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Italy_scaled',anim,887,694,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/Australia.png',0,0,161,121,1,0)
	anim:SetHotSpot(80,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Australia_tool',anim,721,43,100,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/China.png',0,0,67,79,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('China_tool',anim,776,33,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/Italy.png',0,0,129,74,1,0)
	anim:SetHotSpot(64,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Italy_tool',anim,825,34,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('mechanism_active_zone',anim,630,335,120,0,12,8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Zoom/zoom_back.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_back',anim,512,384,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Zoom/mechanism2.png',0,0,203,237,1,0)
	anim:SetHotSpot(101,118)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('mechanism2',anim,573,389,305,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Zoom/sprajt_mehanizma.png',0,0,228,107,1,0)
	anim:SetHotSpot(114,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprajt_mehanizma',anim,571,461,310,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/mechanism.png',0,0,83,71,1,0)
	anim:SetHotSpot(41,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanism1_tool',anim,269,30,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Items/mechanism.png',0,0,83,71,1,0)
	anim:SetHotSpot(41,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanism1_scaled',anim,691,664,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Zoom/mechanism2.png',0,0,203,237,1,0)
	anim:SetHotSpot(101,118)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanism2_tool',anim,338,37,100,0,0.25,0.25)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Zoom/mechanism2.png',0,0,203,237,1,0)
	anim:SetHotSpot(101,118)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanism2_scaled',anim,214,615,100,0,0.25,0.25)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('vase_active_zone',anim,214,617,100,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Animations/door/mexanz.png',0,0,112,65,5,8)
	anim:SetHotSpot(56,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mexanz',anim,631,334,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Raphael.png',0,0,858,722,1,0)
	anim:SetHotSpot(429,361)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Raphael',anim,610,460,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/cigar35.png',0,0,69,59,1,0)
	anim:SetHotSpot(34,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar35',anim,967,583,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_ pond_14/Layers/sprajt_car2.png',0,0,40,52,1,0)
	anim:SetHotSpot(20,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_car2',anim,480,518,146,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/brush.png',0,0,78,35,1,0)
	anim:SetHotSpot(39,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,516,739,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
